NX Open C++ Reference Guide
|
Represents a scrap design builder <br> To create a new instance of this class, use @link Tooling::ScrapDesignCollection::CreateScrapDesignBuilder Tooling::ScrapDesignCollection::CreateScrapDesignBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::Tooling::ScrapDesignBuilder::AddonType | AddonOperation () |
Returns the add-on operation, which includes overlap, overcut, trimming and user defined Created in NX6.0.0. | |
bool | ApplyColor () |
Returns the toggle to determine whether the color will be used to all other scraps with the same shape Created in NX6.0.0. | |
NXOpen::NXColor * | AssignColor () |
Returns the color for assigned scrap Created in NX6.0.0. | |
NXOpen::SelectEdgeList * | AttachEdge () |
Returns the edge that overlap will be attached Created in NX6.0.0. | |
NXOpen::SelectBody * | AttachScrap () |
Returns the scrap that overlap will be attached Created in NX6.0.0. | |
NXOpen::ScCollector * | BoundaryList () |
Returns the boundary list served for boundary line method Created in NX6.0.0. | |
NXOpen::SelectBodyList * | ChangeColScrap () |
Returns the changing color of scrap Created in NX6.0.0. | |
NXOpen::Section * | CurveList () |
Returns the curve list served for boundary+sketch or close boundaries method Created in NX6.0.0. | |
int | DefStationNum () |
Returns the defined station number, according to it scraps can be laid out automatically in strip Created in NX6.0.0. | |
double | DoubleA () |
Returns the double A served as the parameter of overcut Created in NX6.0.0. | |
double | DoubleAngle () |
Returns the double Angle served as the parameter of overcut Created in NX6.0.0. | |
double | DoubleB () |
Returns the double B served as the parameter of overcut Created in NX6.0.0. | |
double | DoubleH () |
Returns the double H served as the parameter of overcut Created in NX6.0.0. | |
double | DoubleR () |
Returns the double R served as the parameter of overcut Created in NX6.0.0. | |
NXOpen::Tooling::ScrapDesignBuilder::EditScrapType | EditMethod () |
Returns the edit method, which includes splitting, merging, applying minimum radius, changing station, deleting and updating Created in NX6.0.0. | |
int | EditStationNum () |
Returns the station number to lay out in strip Created in NX6.0.0. | |
NXOpen::SelectBodyList * | ExistScrap () |
Returns the existed scrap served for exist sheet body method Created in NX6.0.0. | |
NXOpen::Point3d | GetOvercutPosition () |
Returns the overcut position, it determines where the overcut sketch will be constrained. | |
NXOpen::NXColor * | HoleColor () |
Returns the hole color Created in NX6.0.0. | |
double | MinRad () |
Returns the minimum radius to blend sharp corners Created in NX6.0.0. | |
NXOpen::NXColor * | OvercutColor () |
Returns the overcut color Created in NX6.0.0. | |
NXOpen::SelectEdge * | OvercutEdge () |
Returns the edge that overcut will be attached Created in NX6.0.0. | |
NXOpen::Tooling::ScrapDesignBuilder::OvercutType | OvercutOperation () |
Returns the overcut operation, which includes normal type, tangent type, circular type and rectangular type Created in NX6.0.0. | |
NXOpen::NXColor * | OverlapColor () |
Returns the overlap color Created in NX6.0.0. | |
double | OverlapWidth () |
Returns the overlap width Created in NX6.0.0. | |
NXOpen::Tooling::ScrapDesignBuilder::DefScrapType | PierceType () |
Returns the piercing type, piercing or piloting Created in NX6.0.0. | |
NXOpen::NXColor * | PiercingColor () |
Returns the piercing color Created in NX6.0.0. | |
NXOpen::NXColor * | PilotingColor () |
Returns the piloting color Created in NX6.0.0. | |
double | ProcessFive () |
Returns the process five Created in NX6.0.0. | |
double | ProcessFour () |
Returns the process four Created in NX6.0.0. | |
double | ProcessOne () |
Returns the process one Created in NX6.0.0. | |
double | ProcessThree () |
Returns the process three Created in NX6.0.0. | |
double | ProcessTwo () |
Returns the process two Created in NX6.0.0. | |
NXOpen::Tooling::ScrapDesignBuilder::RemoveType | RemoveFilter () |
Returns the removing filter Created in NX6.0.0. | |
NXOpen::Tooling::ScrapDesignBuilder::ScrapDefType | ScrapMethod () |
Returns the scrap method, which includes boundary+sketch, hole boundary, close curves, boundary lines and existed sheet body Created in NX6.0.0. | |
NXOpen::Tooling::ScrapDesignBuilder::ScrapDefPosition | ScrapPosition () |
Returns the scrap position Created in NX6.0.0. | |
double | ScrapTol () |
Returns the scrap tolerance, when fail to create scrap in some cases, this value can be decreased to try again Created in NX6.0.0. | |
NXOpen::Tooling::ScrapDesignBuilder::Body | ScrapTypeEnum () |
Returns the scrap type enum Created in NX6.0.0. | |
NXOpen::SelectBodyList * | SecondScrap () |
Returns the second scrap to merge with the first one Created in NX6.0.0. | |
void | SetAddonOperation (NXOpen::Tooling::ScrapDesignBuilder::AddonType addonOperation) |
Sets the add-on operation, which includes overlap, overcut, trimming and user defined Created in NX6.0.0. | |
void | SetApplyColor (bool applyColor) |
Sets the toggle to determine whether the color will be used to all other scraps with the same shape Created in NX6.0.0. | |
void | SetAssignColor (NXOpen::NXColor *assignColor) |
Sets the color for assigned scrap Created in NX6.0.0. | |
void | SetDefStationNum (int defStationNum) |
Sets the defined station number, according to it scraps can be laid out automatically in strip Created in NX6.0.0. | |
void | SetDoubleA (double doubleA) |
Sets the double A served as the parameter of overcut Created in NX6.0.0. | |
void | SetDoubleAngle (double doubleAngle) |
Sets the double Angle served as the parameter of overcut Created in NX6.0.0. | |
void | SetDoubleB (double doubleB) |
Sets the double B served as the parameter of overcut Created in NX6.0.0. | |
void | SetDoubleH (double doubleH) |
Sets the double H served as the parameter of overcut Created in NX6.0.0. | |
void | SetDoubleR (double doubleR) |
Sets the double R served as the parameter of overcut Created in NX6.0.0. | |
void | SetEditMethod (NXOpen::Tooling::ScrapDesignBuilder::EditScrapType editMethod) |
Sets the edit method, which includes splitting, merging, applying minimum radius, changing station, deleting and updating Created in NX6.0.0. | |
void | SetEditStationNum (int editStationNum) |
Sets the station number to lay out in strip Created in NX6.0.0. | |
void | SetHoleColor (NXOpen::NXColor *holeColor) |
Sets the hole color Created in NX6.0.0. | |
void | SetMinRad (double minRad) |
Sets the minimum radius to blend sharp corners Created in NX6.0.0. | |
void | SetOvercutColor (NXOpen::NXColor *overcutColor) |
Sets the overcut color Created in NX6.0.0. | |
void | SetOvercutOperation (NXOpen::Tooling::ScrapDesignBuilder::OvercutType overcutOperation) |
Sets the overcut operation, which includes normal type, tangent type, circular type and rectangular type Created in NX6.0.0. | |
void | SetOvercutPosition (const NXOpen::Point3d &overcutPosition) |
Sets the overcut position, it determines where the overcut sketch will be constrained Created in NX6.0.2. | |
void | SetOverlapColor (NXOpen::NXColor *overlapColor) |
Sets the overlap color Created in NX6.0.0. | |
void | SetOverlapWidth (double overlapWidth) |
Sets the overlap width Created in NX6.0.0. | |
void | SetPierceType (NXOpen::Tooling::ScrapDesignBuilder::DefScrapType pierceType) |
Sets the piercing type, piercing or piloting Created in NX6.0.0. | |
void | SetPiercingColor (NXOpen::NXColor *piercingColor) |
Sets the piercing color Created in NX6.0.0. | |
void | SetPilotingColor (NXOpen::NXColor *pilotingColor) |
Sets the piloting color Created in NX6.0.0. | |
void | SetProcessFive (double processFive) |
Sets the process five Created in NX6.0.0. | |
void | SetProcessFour (double processFour) |
Sets the process four Created in NX6.0.0. | |
void | SetProcessOne (double processOne) |
Sets the process one Created in NX6.0.0. | |
void | SetProcessThree (double processThree) |
Sets the process three Created in NX6.0.0. | |
void | SetProcessTwo (double processTwo) |
Sets the process two Created in NX6.0.0. | |
void | SetRemoveFilter (NXOpen::Tooling::ScrapDesignBuilder::RemoveType removeFilter) |
Sets the removing filter Created in NX6.0.0. | |
void | SetScrapMethod (NXOpen::Tooling::ScrapDesignBuilder::ScrapDefType scrapMethod) |
Sets the scrap method, which includes boundary+sketch, hole boundary, close curves, boundary lines and existed sheet body Created in NX6.0.0. | |
void | SetScrapPosition (NXOpen::Tooling::ScrapDesignBuilder::ScrapDefPosition scrapPosition) |
Sets the scrap position Created in NX6.0.0. | |
void | SetScrapTol (double scrapTol) |
Sets the scrap tolerance, when fail to create scrap in some cases, this value can be decreased to try again Created in NX6.0.0. | |
void | SetScrapTypeEnum (NXOpen::Tooling::ScrapDesignBuilder::Body scrapTypeEnum) |
Sets the scrap type enum Created in NX6.0.0. | |
void | SetTrimmingColor (NXOpen::NXColor *trimmingColor) |
Sets the trimming color Created in NX6.0.0. | |
void | SetTrimNum (NXOpen::Tooling::ScrapDesignBuilder::TrimNumType trimNum) |
Sets the trimming number Created in NX6.0.0. | |
NXOpen::Section * | SplitCurve () |
Returns the splitting curve Created in NX6.0.0. | |
NXOpen::SelectBodyList * | SplitScrap () |
Returns the scrap to be splitted or merged Created in NX6.0.0. | |
NXOpen::NXColor * | TrimmingColor () |
Returns the trimming color Created in NX6.0.0. | |
NXOpen::Tooling::ScrapDesignBuilder::TrimNumType | TrimNum () |
Returns the trimming number Created in NX6.0.0. | |
NXOpen::Section * | UserAddonCurve () |
Returns the user defined add-on curve to create overlap+overcut Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a scrap design builder <br> To create a new instance of this class, use @link Tooling::ScrapDesignCollection::CreateScrapDesignBuilder Tooling::ScrapDesignCollection::CreateScrapDesignBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AddonOperation |
Overlap |
ApplyColor |
0 |
DefStationNum |
1 |
DoubleA |
0 |
DoubleAngle |
0 |
DoubleB |
0 |
DoubleH |
0 |
DoubleR |
0.2 |
EditMethod |
Split |
EditStationNum |
1 |
MinRad |
0.1 |
OvercutOperation |
NormalType |
OverlapWidth |
0.1 |
PierceType |
Piercing |
ProcessFive |
0 |
ProcessFour |
0 |
ProcessOne |
0 |
ProcessThree |
0 |
ProcessTwo |
0 |
RemoveFilter |
InferScrap |
ScrapPosition |
ProjectToStrip |
ScrapTol |
0.01 |
ScrapTypeEnum |
Create |
Created in NX6.0.0.
Specifies the edit type of scraps.
Specifies the over cut type, different type has different parameters.
Specifies the removing type as filter.
Specifies the creation type of scraps.
Specifies the step of trimming process, the maximum is five.
NXOpen::Tooling::ScrapDesignBuilder::AddonType NXOpen::Tooling::ScrapDesignBuilder::AddonOperation | ( | ) |
Returns the add-on operation, which includes overlap, overcut, trimming and user defined
Created in NX6.0.0.
License requirements : None
bool NXOpen::Tooling::ScrapDesignBuilder::ApplyColor | ( | ) |
Returns the toggle to determine whether the color will be used to all other scraps with the same shape
Created in NX6.0.0.
License requirements : None
NXOpen::NXColor* NXOpen::Tooling::ScrapDesignBuilder::AssignColor | ( | ) |
Returns the color for assigned scrap
Created in NX6.0.0.
License requirements : None
NXOpen::SelectEdgeList* NXOpen::Tooling::ScrapDesignBuilder::AttachEdge | ( | ) |
Returns the edge that overlap will be attached
Created in NX6.0.0.
License requirements : None
NXOpen::SelectBody* NXOpen::Tooling::ScrapDesignBuilder::AttachScrap | ( | ) |
Returns the scrap that overlap will be attached
Created in NX6.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::ScrapDesignBuilder::BoundaryList | ( | ) |
Returns the boundary list served for boundary line method
Created in NX6.0.0.
License requirements : None
NXOpen::SelectBodyList* NXOpen::Tooling::ScrapDesignBuilder::ChangeColScrap | ( | ) |
Returns the changing color of scrap
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Tooling::ScrapDesignBuilder::CurveList | ( | ) |
Returns the curve list served for boundary+sketch or close boundaries method
Created in NX6.0.0.
License requirements : None
int NXOpen::Tooling::ScrapDesignBuilder::DefStationNum | ( | ) |
Returns the defined station number, according to it scraps can be laid out automatically in strip
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::ScrapDesignBuilder::DoubleA | ( | ) |
Returns the double A served as the parameter of overcut
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::ScrapDesignBuilder::DoubleAngle | ( | ) |
Returns the double Angle served as the parameter of overcut
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::ScrapDesignBuilder::DoubleB | ( | ) |
Returns the double B served as the parameter of overcut
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::ScrapDesignBuilder::DoubleH | ( | ) |
Returns the double H served as the parameter of overcut
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::ScrapDesignBuilder::DoubleR | ( | ) |
Returns the double R served as the parameter of overcut
Created in NX6.0.0.
License requirements : None
NXOpen::Tooling::ScrapDesignBuilder::EditScrapType NXOpen::Tooling::ScrapDesignBuilder::EditMethod | ( | ) |
Returns the edit method, which includes splitting, merging, applying minimum radius, changing station, deleting and updating
Created in NX6.0.0.
License requirements : None
int NXOpen::Tooling::ScrapDesignBuilder::EditStationNum | ( | ) |
Returns the station number to lay out in strip
Created in NX6.0.0.
License requirements : None
NXOpen::SelectBodyList* NXOpen::Tooling::ScrapDesignBuilder::ExistScrap | ( | ) |
Returns the existed scrap served for exist sheet body method
Created in NX6.0.0.
License requirements : None
NXOpen::Point3d NXOpen::Tooling::ScrapDesignBuilder::GetOvercutPosition | ( | ) |
Returns the overcut position, it determines where the overcut sketch will be constrained.
NXOpen::NXColor* NXOpen::Tooling::ScrapDesignBuilder::HoleColor | ( | ) |
Returns the hole color
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::ScrapDesignBuilder::MinRad | ( | ) |
Returns the minimum radius to blend sharp corners
Created in NX6.0.0.
License requirements : None
NXOpen::NXColor* NXOpen::Tooling::ScrapDesignBuilder::OvercutColor | ( | ) |
Returns the overcut color
Created in NX6.0.0.
License requirements : None
NXOpen::SelectEdge* NXOpen::Tooling::ScrapDesignBuilder::OvercutEdge | ( | ) |
Returns the edge that overcut will be attached
Created in NX6.0.0.
License requirements : None
NXOpen::Tooling::ScrapDesignBuilder::OvercutType NXOpen::Tooling::ScrapDesignBuilder::OvercutOperation | ( | ) |
Returns the overcut operation, which includes normal type, tangent type, circular type and rectangular type
Created in NX6.0.0.
License requirements : None
NXOpen::NXColor* NXOpen::Tooling::ScrapDesignBuilder::OverlapColor | ( | ) |
Returns the overlap color
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::ScrapDesignBuilder::OverlapWidth | ( | ) |
Returns the overlap width
Created in NX6.0.0.
License requirements : None
NXOpen::Tooling::ScrapDesignBuilder::DefScrapType NXOpen::Tooling::ScrapDesignBuilder::PierceType | ( | ) |
Returns the piercing type, piercing or piloting
Created in NX6.0.0.
License requirements : None
NXOpen::NXColor* NXOpen::Tooling::ScrapDesignBuilder::PiercingColor | ( | ) |
Returns the piercing color
Created in NX6.0.0.
License requirements : None
NXOpen::NXColor* NXOpen::Tooling::ScrapDesignBuilder::PilotingColor | ( | ) |
Returns the piloting color
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::ScrapDesignBuilder::ProcessFive | ( | ) |
Returns the process five
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::ScrapDesignBuilder::ProcessFour | ( | ) |
Returns the process four
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::ScrapDesignBuilder::ProcessOne | ( | ) |
Returns the process one
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::ScrapDesignBuilder::ProcessThree | ( | ) |
Returns the process three
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::ScrapDesignBuilder::ProcessTwo | ( | ) |
Returns the process two
Created in NX6.0.0.
License requirements : None
NXOpen::Tooling::ScrapDesignBuilder::RemoveType NXOpen::Tooling::ScrapDesignBuilder::RemoveFilter | ( | ) |
Returns the removing filter
Created in NX6.0.0.
License requirements : None
NXOpen::Tooling::ScrapDesignBuilder::ScrapDefType NXOpen::Tooling::ScrapDesignBuilder::ScrapMethod | ( | ) |
Returns the scrap method, which includes boundary+sketch, hole boundary, close curves, boundary lines and existed sheet body
Created in NX6.0.0.
License requirements : None
NXOpen::Tooling::ScrapDesignBuilder::ScrapDefPosition NXOpen::Tooling::ScrapDesignBuilder::ScrapPosition | ( | ) |
Returns the scrap position
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::ScrapDesignBuilder::ScrapTol | ( | ) |
Returns the scrap tolerance, when fail to create scrap in some cases, this value can be decreased to try again
Created in NX6.0.0.
License requirements : None
NXOpen::Tooling::ScrapDesignBuilder::Body NXOpen::Tooling::ScrapDesignBuilder::ScrapTypeEnum | ( | ) |
Returns the scrap type enum
Created in NX6.0.0.
License requirements : None
NXOpen::SelectBodyList* NXOpen::Tooling::ScrapDesignBuilder::SecondScrap | ( | ) |
Returns the second scrap to merge with the first one
Created in NX6.0.0.
License requirements : None
void NXOpen::Tooling::ScrapDesignBuilder::SetAddonOperation | ( | NXOpen::Tooling::ScrapDesignBuilder::AddonType | addonOperation | ) |
Sets the add-on operation, which includes overlap, overcut, trimming and user defined
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
addonOperation | addonoperation |
void NXOpen::Tooling::ScrapDesignBuilder::SetApplyColor | ( | bool | applyColor | ) |
Sets the toggle to determine whether the color will be used to all other scraps with the same shape
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
applyColor | applycolor |
void NXOpen::Tooling::ScrapDesignBuilder::SetAssignColor | ( | NXOpen::NXColor * | assignColor | ) |
Sets the color for assigned scrap
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
assignColor | assigncolor |
void NXOpen::Tooling::ScrapDesignBuilder::SetDefStationNum | ( | int | defStationNum | ) |
Sets the defined station number, according to it scraps can be laid out automatically in strip
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
defStationNum | defstationnum |
void NXOpen::Tooling::ScrapDesignBuilder::SetDoubleA | ( | double | doubleA | ) |
Sets the double A served as the parameter of overcut
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
doubleA | doublea |
void NXOpen::Tooling::ScrapDesignBuilder::SetDoubleAngle | ( | double | doubleAngle | ) |
Sets the double Angle served as the parameter of overcut
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
doubleAngle | doubleangle |
void NXOpen::Tooling::ScrapDesignBuilder::SetDoubleB | ( | double | doubleB | ) |
Sets the double B served as the parameter of overcut
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
doubleB | doubleb |
void NXOpen::Tooling::ScrapDesignBuilder::SetDoubleH | ( | double | doubleH | ) |
Sets the double H served as the parameter of overcut
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
doubleH | doubleh |
void NXOpen::Tooling::ScrapDesignBuilder::SetDoubleR | ( | double | doubleR | ) |
Sets the double R served as the parameter of overcut
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
doubleR | doubler |
void NXOpen::Tooling::ScrapDesignBuilder::SetEditMethod | ( | NXOpen::Tooling::ScrapDesignBuilder::EditScrapType | editMethod | ) |
Sets the edit method, which includes splitting, merging, applying minimum radius, changing station, deleting and updating
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
editMethod | editmethod |
void NXOpen::Tooling::ScrapDesignBuilder::SetEditStationNum | ( | int | editStationNum | ) |
Sets the station number to lay out in strip
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
editStationNum | editstationnum |
void NXOpen::Tooling::ScrapDesignBuilder::SetHoleColor | ( | NXOpen::NXColor * | holeColor | ) |
Sets the hole color
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
holeColor | holecolor |
void NXOpen::Tooling::ScrapDesignBuilder::SetMinRad | ( | double | minRad | ) |
Sets the minimum radius to blend sharp corners
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
minRad | minrad |
void NXOpen::Tooling::ScrapDesignBuilder::SetOvercutColor | ( | NXOpen::NXColor * | overcutColor | ) |
Sets the overcut color
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
overcutColor | overcutcolor |
void NXOpen::Tooling::ScrapDesignBuilder::SetOvercutOperation | ( | NXOpen::Tooling::ScrapDesignBuilder::OvercutType | overcutOperation | ) |
Sets the overcut operation, which includes normal type, tangent type, circular type and rectangular type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
overcutOperation | overcutoperation |
void NXOpen::Tooling::ScrapDesignBuilder::SetOvercutPosition | ( | const NXOpen::Point3d & | overcutPosition | ) |
Sets the overcut position, it determines where the overcut sketch will be constrained
Created in NX6.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
overcutPosition | overcutposition |
void NXOpen::Tooling::ScrapDesignBuilder::SetOverlapColor | ( | NXOpen::NXColor * | overlapColor | ) |
Sets the overlap color
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
overlapColor | overlapcolor |
void NXOpen::Tooling::ScrapDesignBuilder::SetOverlapWidth | ( | double | overlapWidth | ) |
Sets the overlap width
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
overlapWidth | overlapwidth |
void NXOpen::Tooling::ScrapDesignBuilder::SetPierceType | ( | NXOpen::Tooling::ScrapDesignBuilder::DefScrapType | pierceType | ) |
Sets the piercing type, piercing or piloting
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
pierceType | piercetype |
void NXOpen::Tooling::ScrapDesignBuilder::SetPiercingColor | ( | NXOpen::NXColor * | piercingColor | ) |
Sets the piercing color
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
piercingColor | piercingcolor |
void NXOpen::Tooling::ScrapDesignBuilder::SetPilotingColor | ( | NXOpen::NXColor * | pilotingColor | ) |
Sets the piloting color
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
pilotingColor | pilotingcolor |
void NXOpen::Tooling::ScrapDesignBuilder::SetProcessFive | ( | double | processFive | ) |
Sets the process five
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
processFive | processfive |
void NXOpen::Tooling::ScrapDesignBuilder::SetProcessFour | ( | double | processFour | ) |
Sets the process four
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
processFour | processfour |
void NXOpen::Tooling::ScrapDesignBuilder::SetProcessOne | ( | double | processOne | ) |
Sets the process one
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
processOne | processone |
void NXOpen::Tooling::ScrapDesignBuilder::SetProcessThree | ( | double | processThree | ) |
Sets the process three
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
processThree | processthree |
void NXOpen::Tooling::ScrapDesignBuilder::SetProcessTwo | ( | double | processTwo | ) |
Sets the process two
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
processTwo | processtwo |
void NXOpen::Tooling::ScrapDesignBuilder::SetRemoveFilter | ( | NXOpen::Tooling::ScrapDesignBuilder::RemoveType | removeFilter | ) |
Sets the removing filter
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
removeFilter | removefilter |
void NXOpen::Tooling::ScrapDesignBuilder::SetScrapMethod | ( | NXOpen::Tooling::ScrapDesignBuilder::ScrapDefType | scrapMethod | ) |
Sets the scrap method, which includes boundary+sketch, hole boundary, close curves, boundary lines and existed sheet body
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
scrapMethod | scrapmethod |
void NXOpen::Tooling::ScrapDesignBuilder::SetScrapPosition | ( | NXOpen::Tooling::ScrapDesignBuilder::ScrapDefPosition | scrapPosition | ) |
Sets the scrap position
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
scrapPosition | scrapposition |
void NXOpen::Tooling::ScrapDesignBuilder::SetScrapTol | ( | double | scrapTol | ) |
Sets the scrap tolerance, when fail to create scrap in some cases, this value can be decreased to try again
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
scrapTol | scraptol |
void NXOpen::Tooling::ScrapDesignBuilder::SetScrapTypeEnum | ( | NXOpen::Tooling::ScrapDesignBuilder::Body | scrapTypeEnum | ) |
Sets the scrap type enum
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
scrapTypeEnum | scraptypeenum |
void NXOpen::Tooling::ScrapDesignBuilder::SetTrimmingColor | ( | NXOpen::NXColor * | trimmingColor | ) |
Sets the trimming color
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
trimmingColor | trimmingcolor |
void NXOpen::Tooling::ScrapDesignBuilder::SetTrimNum | ( | NXOpen::Tooling::ScrapDesignBuilder::TrimNumType | trimNum | ) |
Sets the trimming number
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
trimNum | trimnum |
NXOpen::Section* NXOpen::Tooling::ScrapDesignBuilder::SplitCurve | ( | ) |
Returns the splitting curve
Created in NX6.0.0.
License requirements : None
NXOpen::SelectBodyList* NXOpen::Tooling::ScrapDesignBuilder::SplitScrap | ( | ) |
Returns the scrap to be splitted or merged
Created in NX6.0.0.
License requirements : None
NXOpen::NXColor* NXOpen::Tooling::ScrapDesignBuilder::TrimmingColor | ( | ) |
Returns the trimming color
Created in NX6.0.0.
License requirements : None
NXOpen::Tooling::ScrapDesignBuilder::TrimNumType NXOpen::Tooling::ScrapDesignBuilder::TrimNum | ( | ) |
Returns the trimming number
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Tooling::ScrapDesignBuilder::UserAddonCurve | ( | ) |
Returns the user defined add-on curve to create overlap+overcut
Created in NX6.0.0.
License requirements : None